Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class TableColumnModelAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.TableColumnModelAction

All Implemented Interfaces:
  EventListener, TableColumnModelListener

public class TableColumnModelAction
extends AbstractAction
implements TableColumnModelListener

Actionimplementierung fuer ActionEvents, ChangeEvent und ListSelectionEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`TableColumnModelAction()`

Method Summary
`void` | `columnAdded(TableColumnModelEvent tcme)`
`void` | `columnMarginChanged(ChangeEvent ce)`
`void` | `columnMoved(TableColumnModelEvent tcme)`
`void` | `columnRemoved(TableColumnModelEvent tcme)`
`void` | `columnSelectionChanged(ListSelectionEvent lse)`
`void` | `doColumnAdded(TableColumnModelEvent tcme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doColumnMarginChanged(ChangeEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doColumnMoved(TableColumnModelEvent tcme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doColumnRemoved(TableColumnModelEvent tcme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doColumnSelectionChanged(ListSelectionEvent lse)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableColumnModelAction

    public TableColumnModelAction()

Method Detail

### columnAdded

    public void columnAdded(TableColumnModelEvent tcme)

  Specified by:
    `columnAdded` in interface `TableColumnModelListener`

### doColumnAdded

    public void doColumnAdded(TableColumnModelEvent tcme)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tcme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### columnRemoved

    public void columnRemoved(TableColumnModelEvent tcme)

  Specified by:
    `columnRemoved` in interface `TableColumnModelListener`

### doColumnRemoved

    public void doColumnRemoved(TableColumnModelEvent tcme)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tcme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### columnMoved

    public void columnMoved(TableColumnModelEvent tcme)

  Specified by:
    `columnMoved` in interface `TableColumnModelListener`

### doColumnMoved

    public void doColumnMoved(TableColumnModelEvent tcme)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tcme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### columnMarginChanged

    public void columnMarginChanged(ChangeEvent ce)

  Specified by:
    `columnMarginChanged` in interface `TableColumnModelListener`

### doColumnMarginChanged

    public void doColumnMarginChanged(ChangeEvent ce)
                               throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### columnSelectionChanged

    public void columnSelectionChanged(ListSelectionEvent lse)

  Specified by:
    `columnSelectionChanged` in interface `TableColumnModelListener`

### doColumnSelectionChanged

    public void doColumnSelectionChanged(ListSelectionEvent lse)
                                  throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `lse` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD